This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 169638 - yum repos are often out of sync
yum repos are often out of sync
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 11:08 EDT by Adam Pribyl
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2005-09-30 11:08:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.7.10-1.5.2

Description of problem:
I have constantly troubles, mainly when using mirros, that different mirrors are in different state, therefore dowloading database from one results in download failure from different mirror. 

Today I come to situation that update from main fedora site (I removed mirrors) ends up with 
--> Running transaction check
--> Processing Dependency: libpqxx-2.5.4.so for package: koffice-kexi
--> Finished Dependency Resolution
Error: Missing Dependency: libpqxx-2.5.4.so is needed by package koffice-kexi

On fedora download web I see koffice is also updated to 1.4.1-5.fc4, but it is not scheduled to be updated trought yum. There can not be scheduled package like libpqxx to be update, while koffice is not if it is its dependency!

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. yum update
2.
3.
  

Actual Results:  I can not update system without removing koffice-kexi.

Expected Results:  All repos in sync. No packages scheduled for udpate, while all dependencies can not be solved.

Additional info:

Sorry, but I am relly getting scared about these troubles as this causes lot of strange troubles with update to ordinary users.
Comment 1 Jeremy Katz 2006-04-19 16:10:14 EDT
This should be better with the cachecookie support in later versions of yum.

Note You need to log in before you can comment on or make changes to this bug.